Множественные уязвимости в Google Chrome

16-09-2010

Обнаруженные уязвимости позволяют удаленному пользователю обойти некоторые ограничения безопасности и скомпрометировать целевую систему.

1. Уязвимость существует из-за ошибки использования после освобождения при использовании API документа во время его обработки. Удаленный пользователь может выполнить произвольный код на целевой системе.

2. Уязвимость существует из-за ошибки использования после освобождения при обработке SVG стилей. Удаленный пользователь может выполнить произвольный код на целевой системе.

3. Уязвимость существует из-за ошибки использования после освобождения при обработке разветвленных SVG элементов. Удаленный пользователь может выполнить произвольный код на целевой системе.

4. Уязвимость существует из-за ошибки утверждения при обработке курсора на Linux системах.

5. Уязвимость существует из-за ошибки состояния операции при обработке консоли. Удаленный пользователь может скомпрометировать целевую систему.

6. Уязвимость существует из-за ошибки, связанной с диалоговым окном загрузки файла. Удаленный пользователь может вызвать повреждение памяти на Mac OS. Уязвимость относится к:
www.securitylab.ru/vulnerability/396984.php #1

7. Уязвимость существует из-за неизвестной ошибки, относящейся к геолокации. Удаленный пользователь может вызвать повреждение памяти и выполнить произвольный код на целевой системе.

8. Уязвимость существует из-за неизвестной ошибки, относящейся к обработке Khmer. Удаленный пользователь может вызвать повреждение памяти и выполнить произвольный код на целевой системе.

9. Уязвимость существует из-за того, что приложение не запрашивает разрешение пользователя на доступ расширения к истории посещенных страниц.

URL производителя: www.google.com/chrome

Решение: Установите последнюю версию 6.0.472.59 с сайта производителя.


Источник новости:  http://www.securitylab.ru

Возврат к списку